Bug 860775 - rubygem-passenger cannot find PassengerWatchdog
rubygem-passenger cannot find PassengerWatchdog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rubygem-passenger (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Brett Lentz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 12:55 EDT by David Hull
Modified: 2013-08-01 12:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:54:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hull 2012-09-26 12:55:24 EDT
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:15.0) Gecko/20100101 Firefox/15.0.1
Build Identifier: 

After installing the following RPMs:

 mod_passenger                 x86_64 3.0.17-2.fc17             updates   193 k
 rubygem-passenger             x86_64 3.0.17-2.fc17             updates   137 k
 rubygem-passenger-devel       x86_64 3.0.17-2.fc17             updates   1.2 M
 rubygem-passenger-native      x86_64 3.0.17-2.fc17             updates   438 k
 rubygem-passenger-native-libs x86_64 3.0.17-2.fc17             updates    12 k

and restarting apache, I got the following error:

Wed Sep 26 08:59:51 2012] [error] *** Passenger could not be initialized because of this error: Unable to start the Phusion Passenger watchdog because its executable (/usr/share/gems/gems/passenger-3.0.17/agents/PassengerWatchdog) does not exist. This probably means that your Phusion Passenger installation is broken or incomplete, or that your 'PassengerRoot' directive is set to the wrong value. Please reinstall Phusion Passenger or fix your 'PassengerRoot' directive, whichever is applicable.

PassengerWatchdog has actually been installed in /usr/lib64/gems/exts/passenger-3.0.17/agents/PassengerWatchdog.

I worked around the problem by creating the following two symlinks:

ln -s /usr/lib64/gems/exts/passenger-3.0.17/agents /usr/share/gems/gems/passenger-3.0.17/
ln -s /usr/lib64/gems/exts/passenger-3.0.17/lib/native /usr/share/gems/gems/passenger-3.0.17/lib/


Reproducible: Always
Comment 1 Brett Lentz 2012-10-05 16:33:15 EDT
I'm unable to duplicate this issue on a clean install of F17.

Can you retry with a clean install and see if you have the same issue?
Comment 2 John Friar 2013-04-22 21:05:37 EDT
(In reply to comment #1)
> I'm unable to duplicate this issue on a clean install of F17.
> 
> Can you retry with a clean install and see if you have the same issue?

I just ran into the same problem (although, on CentOS 6.4).  The problem started after I installed rubygem-passenger-devel (rubygem-passenger-devel-3.0.17-2.el6.1.x86_64) from EPEL, which puts files into /usr/share/rubygems/gems/passenger-3.0.17/ for my distro.  After uninstalling rubygem-passenger-devel and restarting apache, the error went away.
Comment 3 Fedora End Of Life 2013-07-04 01:42:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 12:54:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.